# List wallet limit policies

List wallet limit policies for the specified wallet

Endpoint: POST /v2/vaults/{vaultId}/wallets/{walletId}/policy-rules/limits:list
Version: 2.0
Security: TokenAuth

## Path parameters:

  - `vaultId` (string, required)
    The vault ID

  - `walletId` (string, required)
    The wallet ID

## Request fields (application/json):

  - `pageSize` (integer)
    The number of results to return per page (default 50, max 1000)
    Example: 1000

  - `pageToken` (string)
    The token to retrieve the next page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `blockchain` (string)
    Optional filter by blockchain. If not specified, returns policies for all blockchains.
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `pagination` (object)
    Pagination and sorting. Sortable fields: asset_symbol, blockchain, limit_type, status, active, created_at, updated_at.

  - `pagination.pageSize` (integer)
    Number of results per page (default 50, max 1000)
    Example: 50

  - `pagination.pageToken` (string)
    Token for pagination from previous response
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `pagination.orderBy` (string)
    Field to order results by
    Example: "created_at"

  - `pagination.order` (string)
    Sort order (ASC or DESC)
    Enum: "SORT_ORDER_ASC", "SORT_ORDER_DESC"

  - `filter` (object)
    Optional wallet-limit filters. Each populated sub-filter is AND-ed.

  - `filter.id` (object)
    Filter by wallet limit ID

  - `filter.id.eq` (string)
    Exact match

  - `filter.id.notEq` (string)
    Not equal to

  - `filter.id.contains` (string)
    Contains substring (case-insensitive)

  - `filter.id.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.id.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.id.in` (array)
    Value is in the list

  - `filter.id.notIn` (array)
    Value is not in the list

  - `filter.id.isNull` (boolean)
    Check if field is null

  - `filter.vaultId` (object)
    Filter by vault ID. For ListWalletLimits, the top-level vault_id still scopes the request; if both are supplied, both predicates are AND-ed.

  - `filter.vaultId.eq` (string)
    Exact match

  - `filter.vaultId.notEq` (string)
    Not equal to

  - `filter.vaultId.contains` (string)
    Contains substring (case-insensitive)

  - `filter.vaultId.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.vaultId.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.vaultId.in` (array)
    Value is in the list

  - `filter.vaultId.notIn` (array)
    Value is not in the list

  - `filter.vaultId.isNull` (boolean)
    Check if field is null

  - `filter.walletId` (object)
    Filter by wallet ID. For ListWalletLimits, the top-level wallet_id still scopes the request; if both are supplied, both predicates are AND-ed.

  - `filter.walletId.eq` (string)
    Exact match

  - `filter.walletId.notEq` (string)
    Not equal to

  - `filter.walletId.contains` (string)
    Contains substring (case-insensitive)

  - `filter.walletId.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.walletId.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.walletId.in` (array)
    Value is in the list

  - `filter.walletId.notIn` (array)
    Value is not in the list

  - `filter.walletId.isNull` (boolean)
    Check if field is null

  - `filter.assetSymbol` (object)
    Filter by asset symbol

  - `filter.assetSymbol.eq` (string)
    Exact match

  - `filter.assetSymbol.notEq` (string)
    Not equal to

  - `filter.assetSymbol.contains` (string)
    Contains substring (case-insensitive)

  - `filter.assetSymbol.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.assetSymbol.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.assetSymbol.in` (array)
    Value is in the list

  - `filter.assetSymbol.notIn` (array)
    Value is not in the list

  - `filter.assetSymbol.isNull` (boolean)
    Check if field is null

  - `filter.blockchain` (object)
    Filter by blockchain

  - `filter.blockchain.eq` (string)
    Exact blockchain match
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `filter.blockchain.notEq` (string)
    Exclude this blockchain
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `filter.blockchain.in` (array)
    Blockchain is in this list
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `filter.blockchain.notIn` (array)
    Blockchain is not in this list
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `filter.limitType` (string)
    Filter by limit type
    Enum: "PER_TX", "CONSTANT", "ROLLING_DURATION"

  - `filter.status` (string)
    Filter by wallet limit status
    Enum: "LIMIT_CREATED", "LIMIT_ENABLED", "LIMIT_REJECTED", "LIMIT_DELETED", "LIMIT_ERROR", "LIMIT_CREATION_APPROVAL_PENDING", "LIMIT_CREATION_APPROVAL_COMPLETE", "LIMIT_DELETION_APPROVAL_PENDING", "LIMIT_DELETION_APPROVAL_COMPLETE"

  - `filter.active` (object)
    Filter by active status

  - `filter.active.eq` (boolean)
    Equals

  - `filter.active.isNull` (boolean)
    Check if field is null

  - `filter.createdAt` (object)
    Filter by creation timestamp

  - `filter.createdAt.eq` (string)
    Exact timestamp match
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.notEq` (string)
    Not equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.before` (string)
    Before this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.after` (string)
    After this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.gte` (string)
    Greater than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.lte` (string)
    Less than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.between` (object)
    Between two timestamps (inclusive)

  - `filter.createdAt.between.start` (string)
    Start of time range (inclusive)
    Example: "2024-08-01T00:00:00Z"

  - `filter.createdAt.between.end` (string)
    End of time range (inclusive)
    Example: "2024-08-31T23:59:59Z"

  - `filter.createdAt.isNull` (boolean)
    Check if field is null

  - `filter.createdAt.relativeDays` (integer)
    Relative days from now (negative for past, positive for future)
    Example: -7

  - `filter.updatedAt` (object)
    Filter by last-update timestamp

  - `filter.updatedAt.eq` (string)
    Exact timestamp match
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.notEq` (string)
    Not equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.before` (string)
    Before this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.after` (string)
    After this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.gte` (string)
    Greater than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.lte` (string)
    Less than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.between` (object)
    Between two timestamps (inclusive)

  - `filter.updatedAt.between.start` (string)
    Start of time range (inclusive)
    Example: "2024-08-01T00:00:00Z"

  - `filter.updatedAt.between.end` (string)
    End of time range (inclusive)
    Example: "2024-08-31T23:59:59Z"

  - `filter.updatedAt.isNull` (boolean)
    Check if field is null

  - `filter.updatedAt.relativeDays` (integer)
    Relative days from now (negative for past, positive for future)
    Example: -7

  - `search` (string)
    Case-insensitive search over wallet limit ID, vault ID, wallet ID, and asset symbol.
    Example: "USDC"

## Response 200 fields (application/json):

  - `filter` (object)

  - `filter.previousPageToken` (string)
    The token to retrieve the previous page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.nextPageToken` (string)
    The token to retrieve the next page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.total` (integer, required)
    The total number of results
    Example: 100

  - `walletLimits` (array)

  - `walletLimits.id` (string, required)
    The wallet limit policy ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `walletLimits.createdBy` (string, required)
    The creator ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `walletLimits.walletId` (string, required)
    The wallet ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `walletLimits.vaultId` (string, required)
    The vault ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `walletLimits.limitQty` (string)
    The limit quantity
    Example: "200.00"

  - `walletLimits.duration` (string)
    The limit duration
    Example: "200s"

  - `walletLimits.limitType` (string, required)
    The limit type
    Enum: "PER_TX", "CONSTANT", "ROLLING_DURATION"

  - `walletLimits.createdAt` (string, required)
    The date and time the wallet limit policy was created
    Example: "2022-03-29T10:22:22.420Z"

  - `walletLimits.updatedAt` (string, required)
    The date and time the wallet limit policy was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `walletLimits.asset` (object, required)

  - `walletLimits.asset.id` (string, required)
    ID is unique across all blockchains and created by combining the blockchain ID, contract address, and symbol
    Example: "5:0xbehbehfb:USDC"

  - `walletLimits.asset.standard` (string, required)
    The standard of the asset
    Enum: "NATIVE", "ERC20", "ISSUED_CURRENCY", "ERC721", "SPL", "CUSTOM"

  - `walletLimits.asset.symbol` (string, required)
    The currency symbol of the asset
    Example: "LINK"

  - `walletLimits.asset.name` (string)
    The human readable name of the asset
    Example: "Chainlink"

  - `walletLimits.asset.blockchain` (string, required)
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `walletLimits.asset.decimals` (integer)
    Count of decimal places for the asset
    Example: 18

  - `walletLimits.asset.vetted` (boolean)
    Whether the asset is vetted on the regulated platform
    Example: true

  - `walletLimits.asset.enabled` (boolean)
    Whether the asset is currently enabled on the platform
    Example: true

  - `walletLimits.asset.contract` (string)
    The token contract address. This field will be empty if the asset is the native coin of the blockchain
    Example: "0x0b9d5D9136855f6FEc3c0993feE6E9CE8a297846e"

  - `walletLimits.asset.createdAt` (string, required)
    The date and time the asset was created
    Example: "2022-03-29T10:22:22.420Z"

  - `walletLimits.asset.updatedAt` (string)
    The date and time the asset was last updated
    Example: "2022-03-29T10:22:22.420Z"

  - `walletLimits.asset.organizationId` (string)
    Organization ID for custom assets

  - `walletLimits.asset.coingeckoId` (string)
    CoinGecko identifier for price data (optional for testnet assets)
    Example: "ethereum"

  - `walletLimits.asset.source` (string)
    Data source for this asset
    Enum: "ASSET_SOURCE_LEGACY", "ASSET_SOURCE_AUTO", "ASSET_SOURCE_COINGECKO", "ASSET_SOURCE_PALISADE", "ASSET_SOURCE_CUSTOMER"

  - `walletLimits.asset.sourceMetadata` (object)
    JSON metadata about the source

  - `walletLimits.asset.sourceMetadata.@type` (string)

  - `walletLimits.asset.lastSyncedAt` (string)
    When this asset was last synchronized
    Example: "2024-08-08T10:22:22.420Z"

  - `walletLimits.asset.syncVersion` (integer)
    Version counter for sync updates
    Example: 1

  - `walletLimits.asset.contractAddressChecksummed` (string)
    Checksummed version of the contract address
    Example: "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

  - `walletLimits.asset.iconUrl` (string)
    Public URL for the asset icon. Registry asset REST endpoints populate this when configured; other Asset responses may omit it.
    Example: "https://static.palisade.co/registry/assets/coingecko/production/usd-coin.png"

  - `walletLimits.matchers` (array)

  - `walletLimits.matchers.type` (string, required)
    Type of the matcher. The value field depends on this field.
    Enum: "USER", "API_CREDENTIAL", "COUNTERPARTY", "TRANSACTION_TYPE", "SIGN_FOR", "COUNTERPARTY_ID", "ADDRESS_ID", "WALLET_ID", "CHAIN_ID"

  - `walletLimits.matchers.value` (string)
    Comma seperated list of matcher values.

  - `walletLimits.matchers.values` (array)
    Matcher values.

  - `walletLimits.status` (string, required)
    The wallet limit status
    Enum: "LIMIT_CREATED", "LIMIT_ENABLED", "LIMIT_REJECTED", "LIMIT_DELETED", "LIMIT_ERROR", "LIMIT_CREATION_APPROVAL_PENDING", "LIMIT_CREATION_APPROVAL_COMPLETE", "LIMIT_DELETION_APPROVAL_PENDING", "LIMIT_DELETION_APPROVAL_COMPLETE"

  - `walletLimits.active` (boolean, required)
    Whether the limit is active
    Example: true

  - `walletLimits.blockchain` (string)
    The blockchain associated with this policy
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


